嵌入式组件
获取小组件会话列表
分页返回某个小组件的访客会话,每个会话附带一行预览内容。
GET
/
api
/
v1
/
iframes
/
{id}
/
conversations
获取小组件会话列表
curl --request GET \
--url https://api.example.com/api/v1/iframes/{id}/conversationsimport requests
url = "https://api.example.com/api/v1/iframes/{id}/conversations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/iframes/{id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/iframes/{id}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/iframes/{id}/conversations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/iframes/{id}/conversations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/iframes/{id}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"conversations": [
{}
],
"total": 123,
"limit": 123,
"offset": 123
}身份验证
需要 Bearer 令牌(API 密钥)或仪表盘会话。路径参数
string
必填
小组件配置的 UUID。
查询参数
number
默认值:"50"
每页数量(最大 200)。
number
默认值:"0"
要跳过的会话数量。
string
ISO 时间戳下限(含边界值)。
string
ISO 时间戳上限(含边界值)。
string
true 或 false —— 按是否已捕获潜在客户进行过滤。string
active、completed 或 all。响应
array
每个会话包含:
session_id、visitor_id、ip_country、city、page_url、started_at、ended_at、last_seen_at、message_count、lead_captured、lead_data、first_message(预览内容)、duration_seconds、referrer_url、takeover_status。number
符合过滤条件的会话总数。
number
number
示例
curl
curl "https://www.hitheo.ai/api/v1/iframes/CONFIG_ID/conversations?status=active" \
-H "Authorization: Bearer $THEO_API_KEY"
此页面对您有帮助吗?
获取小组件会话列表
curl --request GET \
--url https://api.example.com/api/v1/iframes/{id}/conversationsimport requests
url = "https://api.example.com/api/v1/iframes/{id}/conversations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/iframes/{id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/iframes/{id}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/iframes/{id}/conversations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/iframes/{id}/conversations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/iframes/{id}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"conversations": [
{}
],
"total": 123,
"limit": 123,
"offset": 123
}